Holger's Java API

## com.antelmann.genealogy
Class GPerson

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.PropertyEntryImpl
              com.antelmann.crm.ContactImpl<T>
                  com.antelmann.crm.PersonImpl<GTag>
                      com.antelmann.genealogy.GPerson

All Implemented Interfaces:
  Addressable, Contact, Person, DBEntry, PropertyEntry, Taggable<GTag>, Imageable, DetailedString, Enabled, LifeCycleObject, Serializable, Comparable<Contact>

    public class GPerson

extends PersonImpl<GTag>

represents a natural person

Since:
  21.05.2013, 15:17:33
Author:
  holger
See Also:
  Serialized Form

Nested Class Summary
`static class` `GPerson.Header`

Nested classes/interfaces inherited from interface com.antelmann.crm.Person
`Person.Gender`

Nested classes/interfaces inherited from interface com.antelmann.db.Taggable
`Taggable.Adapter<T extends Tag>`

Field Summary

Fields inherited from class com.antelmann.db.PropertyEntryImpl
`propertyChangeSupport, props, um, vcs`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Constructor Summary
`GPerson(Object id)`

Method Summary
`Date` `getBirthday()`
`String` `getBirthLocation()`
`Date` `getDeceasedDate()`
`String` `getDeceasedLocation()`
`String` `getHighestEducation()`
`String` `getMaidenName()`
`String` `getOccupation()`
`String` `getReligion()`
`String` `getSortingTitle()`
`Class<GTag>` `getTagType()`
`boolean` `isBirthdayExact()`
`boolean` `isDeceasedDateExact()`
`void` `setBirthday(Date birthday)`
`void` `setBirthdayExact(boolean birthdayExact)`
`void` `setBirthLocation(String birthLocation)`
`void` `setDeceasedDate(Date date)`
`void` `setDeceasedDateExact(boolean deceasedDateExact)`
`void` `setDeceasedLocation(String deathLocation)`
`void` `setHighestEducation(String highestEducation)`
`void` `setMaidenName(String maidenName)`
`void` `setOccupation(String occupation)`
`void` `setReligion(String religion)`
`void` `setSortingTitle(String title)`
`String` `toString()`

Methods inherited from class com.antelmann.crm.PersonImpl
`getDisplayIcon, getFamilyName, getFirstName, getGender, getMiddleName, getNickname, getPersonTitle, getStandardDisplayIcon, setFamilyName, setFirstName, setGender, setMiddleName, setNickname, setPersonTitle, toDetailedString`

Methods inherited from class com.antelmann.crm.ContactImpl

`add, add, add, addTag, compareTo, createTag, getAddress, getBeginTime, getBusinessCardString, getContactName, getContactNotes, getDisplayImage, getEndTime, getIconHolder, getImageHolder, getKeywords, getMoreAddresses, getTags, hasKeyword, isEnabled, isTagged, remove, removeAddress, removeKeyword, setBeginTime, setContactName, setContactNotes, setDisplayImage, setDisplayImage, setDisplayImage, setDisplayImage, setEnabled, setEndTime`

Methods inherited from class com.antelmann.db.PropertyEntryImpl

`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, asProperties, canRedo, canUndo, checkPropertyChange, clearProperties, containsPropertyText, containsValuePattern, equalWithProperties, equalWithProperties, getBoolean, getNumber, getProperties, getProperty, getProperty, getPropertyChangeListeners, getPropertyComparator, getPropertyExtractor, getPropertyExtractor, getPropertyKeys, getStringExtractor, getVetoableChangeListeners, isCaseInsensitive, isChangeListenerSupportEnabled, isKeyIn, isUndoSupport, isVetoableChangeSupportEnabled, putAll, redo, removeProperty, removePropertyChangeListener, removeVetoableChangeListener, setAllFrom, setCaseInsensitive, setChangeListenerSupport, setProperty, setUndoSupported, setVetoableChangeSupport, undo, verifyProperties`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.antelmann.crm.Contact
`add, getContactName, getContactNotes, getMoreAddresses, removeAddress`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.crm.Addressable
`getAddress`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Methods inherited from interface com.antelmann.image.Imageable
`getDisplayImage`

Methods inherited from interface com.antelmann.util.Enabled
`isEnabled, setEnabled`

Constructor Detail

### GPerson

    public GPerson(Object id)

Method Detail

### getMaidenName

    public String getMaidenName()

### setMaidenName

    public void setMaidenName(String maidenName)

### toString

    public String toString()

  Overrides:
    `toString` in class `PersonImpl<GTag>`

### getSortingTitle

    public String getSortingTitle()

### setSortingTitle

    public void setSortingTitle(String title)

### getBirthLocation

    public String getBirthLocation()

### setBirthLocation

    public void setBirthLocation(String birthLocation)

### getDeceasedLocation

    public String getDeceasedLocation()

### setDeceasedLocation

    public void setDeceasedLocation(String deathLocation)

### getOccupation

    public String getOccupation()

### setOccupation

    public void setOccupation(String occupation)

### getHighestEducation

    public String getHighestEducation()

### setHighestEducation

    public void setHighestEducation(String highestEducation)

### getReligion

    public String getReligion()

### setReligion

    public void setReligion(String religion)

### getBirthday

    public Date getBirthday()

  Specified by:
    `getBirthday` in interface `Person`
  Overrides:
    `getBirthday` in class `PersonImpl<GTag>`

### setBirthday

    public void setBirthday(Date birthday)

  Overrides:
    `setBirthday` in class `PersonImpl<GTag>`

### getDeceasedDate

    public Date getDeceasedDate()

### setDeceasedDate

    public void setDeceasedDate(Date date)

### isBirthdayExact

    public boolean isBirthdayExact()

### setBirthdayExact

    public void setBirthdayExact(boolean birthdayExact)

### isDeceasedDateExact

    public boolean isDeceasedDateExact()

### setDeceasedDateExact

    public void setDeceasedDateExact(boolean deceasedDateExact)

### getTagType

    public Class<GTag> getTagType()

  Specified by:
    `getTagType` in class `ContactImpl<GTag>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads